DOSHUTDOWNHOOKS(9)

NAME
doshutdownhooks - run all shutdown hooks

SYNOPSIS
void
doshutdownhooks(void);

DESCRIPTION
The doshutdownhooks routine is deprecated. Use pmf_system_shutdown(9) instead.

The doshutdownhooks() function invokes all shutdown hooks established using the shutdownhook_establish(9) function. Shutdown hooks are called in reverse order, i.e., the shutdown hook established last will be called first.

This function is called from cpu_reboot() with interrupts turned off. It is called immediately before the system is halted or rebooted, after file systems have been unmounted, after the clock has been updated, and after a system dump has been done (if necessary).

SEE ALSO
cpu_reboot(9), shutdownhook_establish(9)